Bills
Track vendor bills and approvals. Bills post to the ledger, debiting expense accounts and crediting Accounts Payable.
The Bill Object
| Field | Type | Description |
|---|---|---|
| id | string | Unique bill UUID |
| bill_number | string | Bill number |
| status | string | open, paid, overdue, partially_paid, or void |
| date | string | Bill date (ISO 8601) |
| due_date | string | Due date (ISO 8601) |
| currency | string | ISO currency code (e.g., USD) |
| total_cents | integer | Bill total in cents |
| amount_due_cents | integer | Remaining balance in cents |
| memo | string | Internal memo |
| vendor | object | Vendor with id and display_name |
| created_at | string | ISO 8601 timestamp |
Endpoints
GET
/api/v1/billsList bills
Returns a paginated list of bills sorted by due date.
Path & Query Parameters
| Parameter | Type | Description |
|---|---|---|
| status | string | Filter by status (open, paid, overdue, partially_paid, void) |
| limit | integer | Number of results (1-50, default 25) |
PATCH
/api/v1/bills/:id/approveApprove a bill
Marks a bill as approved for payment.
Path & Query Parameters
| Parameter | Type | Description |
|---|---|---|
| idrequired | string | Bill UUID |